A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
sparseGetColdx
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » Sparse functions

Returns reference to the column indices component of the sparse array More...

## Functions
AFAPI array | sparseGetColIdx (const array in)
AFAPI af_err | af_sparse_get_col_idx (af_array *out, const af_array in)

## Detailed Description

Returns reference to the column indices component of the sparse array

Column indices is the af::array containing the column indices of the sparse array.

## Function Documentation

## ◆ af_sparse_get_col_idx()

AFAPI af_err af_sparse_get_col_idx | ( | af_array * | out,
|  | const af_array | in )

Parameters

  [out] | out | af_array for the column indices component of the sparse array
  [in] | in | is the input sparse matrix

Returns
  AF_SUCCESS if the execution completes properly

## ◆ sparseGetColIdx()

AFAPI array sparseGetColIdx | ( | const array | in | ) |

Parameters

  [in] | in | is the input sparse matrix

Returns
  af::array for the column indices component of the sparse array